package com.trade.service.thirdparty.qichacha.dto;

import com.alibaba.fastjson2.annotation.JSONField;

public class ECIResult<T> {

    @JSONField(name = "Status")
    private String status;
    @JSONField(name = "Message")
    private String message;
    @JSONField(name = "Result")
    private T result;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getResult() {
        return result;
    }

    public void setResult(T result) {
        this.result = result;
    }
}
